summaryrefslogtreecommitdiff
path: root/testdist.sh
diff options
context:
space:
mode:
authorBent Bisballe Nyeng <deva@aasimon.org>2014-10-12 21:19:48 +0200
committerBent Bisballe Nyeng <deva@aasimon.org>2014-10-12 21:19:48 +0200
commitadc6d371af2cf356578fee6be0711d6db7f31288 (patch)
tree969a2b081f5089168a798dd945a8e0b287d02f8d /testdist.sh
parentfafc815d3b2f525e703ab9482a008201097ab90d (diff)
parent32d9c872e7abdaedb497e7403a44470676838ecb (diff)
Merge in from master.
Diffstat (limited to 'testdist.sh')
-rwxr-xr-xtestdist.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/testdist.sh b/testdist.sh
new file mode 100755
index 0000000..b964715
--- /dev/null
+++ b/testdist.sh
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+if [ $# -lt 1 ]
+then
+ echo "Missing version argument."
+ exit 1
+fi
+
+VER=$1
+
+make dist && (
+ mkdir -p tst
+ cd tst
+ rm -Rf drumgizmo-$VER
+ tar xvzf ../drumgizmo-$VER.tar.gz
+ cd drumgizmo-$VER
+ ./configure --enable-lv2 --enable-cli --prefix=/usr
+ make
+ DESTDIR=$PWD/tst/install make install
+)